#!/usr/bin/env python3
# -*- coding: UTF-8 -*-
#
#  main.py
#
#  Copyright 2023 Beat Jäckle <beat@git.jdmweb2.ch>
'Beispiel um den Einsatz von einem Singleton zu zeigen.'
from test import print_new_game
from game import Game


def main():
    '''
    Erstellt ein Game x und ruft unabhängig eine Funktion auf,
    welche ein neues Game y erstellt.
    Der Name vom neuen Game ist der Name des Games x.
    '''
    x_game = Game()
    print(x_game)
    x_game.set_name('Spiel X')
    print(x_game)
    print_new_game()
    return 0


if __name__ == '__main__':
    import sys
    sys.exit(main())
